package Types::URI;
use strict;
use warnings;
use namespace::autoclean;
use Type::Library -base, -declare => 'Uri';
use Type::Utils -all;
use Types::Standard -types;

class_type Uri, { class => 'URI' };
coerce Uri, from Str, via {
    require URI;
    URI->new($_);
};

1;
