package WebService::ForecastIo::Alert;
use Moo;
use namespace::autoclean;
use Types::Standard -all;
use Types::URI 'Uri';
use Types::DateTime 'DateTimeT';

has title => (
    is => 'ro',
    isa => Str,
);

has expires => (
    is => 'ro',
    isa => DateTimeT,
    coerce => DateTimeT->coercion,
);

has uri => (
    is => 'ro',
    isa => Uri,
    coerce => Uri->coercion,
);

1;
