package WebService::ForecastIo::DataSpan;
use Moo;
use namespace::autoclean;
use Types::DateTime 'DateTimeT';

has start_time => (
    is => 'ro',
    isa => DateTimeT,
    coerce => DateTimeT->coercion,
    required => 1,
);

has stop_time => (
    is => 'ro',
    writer => '_set_stop_time',
    isa => DateTimeT,
    coerce => DateTimeT->coercion,
    required => 1,
);

has value => (
    is => 'ro',
    required => 1,
);

1;
